﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.Data.SqlClient;

namespace testProject.DataAccessLayer
{
    class Card:DALBase 
    {
        public DataTable SelectAll()
        {
            return ExecuteDataTable(CommandType.StoredProcedure, "tblCard_SelectAll", null);
        }
        public DataTable SelectRowByCardNo(string CardNo)
        {
            return ExecuteDataTable(CommandType.StoredProcedure, "tblCard_SelectRowByCardNo", new SqlParameter[]{
            new SqlParameter( "@CardNo",CardNo  )
        });
        }
        public DataTable tblCard_SelectRowByCardSerial(string CardSerial)
        {
            return ExecuteDataTable(CommandType.StoredProcedure, "tblCard_SelectRowByCardSerial", new SqlParameter[]{
            new SqlParameter( "@CardSerial",CardSerial)
        });
        }
        public DataTable SelectRow(string IdCard)
        {
            return ExecuteDataTable(CommandType.StoredProcedure, "tblCard_SelectRow", new SqlParameter[]{
            new SqlParameter( "@IdCard",IdCard )
        });
        }

        public int Delete(string IdCard)
        {
            return ExecuteNoneQuery(CommandType.StoredProcedure, "tblCard_DeleteRow", new SqlParameter[]{
            new SqlParameter( "@IdCard",IdCard )
        });
        }

        public int Insert(string  CardNo, string CardSerial, string Valid, string Details)
        {
            return ExecuteNoneQuery(CommandType.StoredProcedure, "tblCard_Insert", new SqlParameter[]{
            		new SqlParameter("CardNo",CardNo),
					new SqlParameter("CardSerial",CardSerial),
					new SqlParameter("Valid",Valid),
					new SqlParameter("Details",Details) 

            
            });
        }
        public int Update(string IdCard, string CardNo, string CardSerial, string Valid, string Details)
        {
            return ExecuteNoneQuery(CommandType.StoredProcedure, "tblCard_Update", new SqlParameter[]{
            	new SqlParameter("IdCard",IdCard),
				new SqlParameter("CardNo",CardNo),
					new SqlParameter("CardSerial",CardSerial),
					new SqlParameter("Valid",Valid),
					new SqlParameter("Details",Details) 
            });
        }
        public int tblCard_DisableEnable(string IdCard,  string Valid, string Details)
        {
            return ExecuteNoneQuery(CommandType.StoredProcedure, "tblCard_DisableEnable", new SqlParameter[]{
            	new SqlParameter("@IdCard",IdCard),
					new SqlParameter("@Valid",Valid),
					new SqlParameter("@Details",Details) 
            });
        }
        public int UpdateCarType(string IdCard, string idCarType)
        {
            return ExecuteNoneQuery(CommandType.StoredProcedure, "tblcard_UpdateCarType", new SqlParameter[]{
            	new SqlParameter("IdCard",IdCard),
				new SqlParameter("idCarType",idCarType),
					
            });
        }
    }
}
